Page MenuHomePhabricator

Test version 2 api.nobelprize.org
Closed, ResolvedPublic

Description

Test version 2 API

Event Timeline

Salgo60 created this task.Oct 8 2019, 7:45 AM
Salgo60 updated the task description. (Show Details)Oct 8 2019, 7:49 AM
Salgo60 added a comment.EditedOct 8 2019, 11:49 AM

JSFiddle using API 2.0 http://jsfiddle.net/salgo60/p53f7x0s/embedded/result and blogpost

Comments:

  1. Link rot: Wikipedia has a lot of links to Nobelprize.org (see blogpost) it would be much easier to maintain those links if we also easy could use the ID number of the Laureates as the argument in the URL
    1. eg. Toni Morrisson is Wikidata Q72334 and has id = 670 but the landing page for her is https://www.nobelprize.org/nobel_prizes/literature/laureates/1993/morrison-facts.html I would like to see that we could link all Laureates using the ID number or an easy way to get a table translating the ID to the landing page.... Today Wikidata has a property:P3188 but as the Nobelprize.org web has changed structure we have a mess in Wikidata
      1. List what we have today in Wikidata
        1. Example last year you changed format from "https://www.nobelprize.org/nobel_prizes/medicine/laureates/ " xxxx "-facts.html" to " "https://www.nobelprize.org/prizes/" xxxx "facts" i.e. **https://www.nobelprize.org/prizes/economic-sciences/2018/nordhaus/facts/**
  2. https support good
  3. Lack of sources: One problem we have seen with SPARQL interface that > 30 Nobel winners has data that is not the same as Wikidata see diff list if we should trust the data from Nobelprize we need to have the source you used
  4. Things not Strings (video) in the new API you use strings instead of Linked data i.e. use same as Wikidata so we understand what person, cities etc. we speak about "Rotterdam" as "same as" Wikidata Q34370
  5. With the SPARQL endpoint we could easy compare wikidata with Nobelprize see list this is lost now T234811 T200668
  6. Error reporting is today done using email would be better if we get helpdesk id and could track issues
  7. As this is an international application the lack of support for Gregorian/Julian calendar format is a problem both in the API data but also on the web pages example
    1. Pjotr Kapitsa born
      1. API 110 date: "1894-07-09"
      2. Nobelprize pages physics/1978/kapitsa/facts/ Born: 9 July 1894
      3. SPARQL 110 1894-07-09 (xsd:date)
      4. English Wikipedia 8 July [O.S. 26 June] 1894
      5. Wikidata Q172844#P569 26 juni 1894 Julian

See also:

Salgo60 closed this task as Resolved.Oct 8 2019, 4:09 PM
Salgo60 moved this task from Backlog to Done on the Magnus Sälgö board.

Answer nobelprize.org
Hello Magnus,

The JSON return strings, the future JSON-LD will return things and SAMEAS links.
The future JSON-LD will also return links to www.nobelprize.org but having a match between id and a single page on www.nobelprize.org is not possible, since one person/organization may have recived several Nobel Prizes. The id is for the person/organization. The website do not have a page for a person/organization, only the combination of person/organization + Nobel Prize. So a person with one id number and two Nobel Prizes have two pages (and not a single one) on www.nobelprize.org.

We hope to get resources to normalize and solve issues of data not consistant with other sources in a not too distant future.

No plans for supporting other calendars given the resources we have today.

Best regards
Hans
Yours sincerely,
Nobelprize.org Team

Salgo60 added a comment.EditedOct 9 2019, 9:45 AM

Email answer:

My Task T234889
Thanks for fast answer and excellent that the JSON-LD will be linked data would be great if you also had Wikidata ID for the person, locations..... in your data.... and also start using https://orcid.org/ to identify people. List of Nobelprize winners in Wikidata with ORCID
https://w.wiki/9jx
Any thoughts Andra Waagmeester, Finn Årup Nielsen
In Wikidata we have also an application Scholia that use ORCID to create citations graphs of people, awards and organisations etc see Nobel Prize in Physics Q38104

this application is done by Finn Årup Nielsen

Marie Curie with two Nobel prizes
I think the user case Marie Curie with two Nobel prizes... is a non issue our problem link rot on 300 languages and > 900 Nobel prizes and having problem when you redesign your web.... --> (300 * 900 > 270 000 links just en:Wikipedia has > 4800 links)
Q7186#P3188

The pattern we try to implement is that we use Wikidata and have properties like Property 3188 and then we can do one change in Wikidata and get changes in all > 300 Wikipedias....
Dont hesitate to contact me I live in Stockholm and can pass by your office. FYI Wikidata is now available in a free version Wikibase were you can maintain your own linked data. Andra was in Korea and Japan last week and was setting up new instances tweet

Regards and thanks for fast answer
Magnus Sälgö
0705937579
Kista, Stockholm
Linked in

cc: Andra Wagmeister is doing linked data of science awards
Stefan Olsson - has been working a lot with the Nobelprize articles in WIkipedia
Finn Årup Nielsen - created the Scholia app

Salgo60 added a comment.EditedOct 10 2019, 2:07 PM

Added the 2019 Literature prize link and used the JSON record as source - good or bad

Salgo60 updated the task description. (Show Details)Feb 16 2020, 12:49 PM
Salgo60 updated the task description. (Show Details)Mar 27 2020, 1:43 PM
Salgo60 updated the task description. (Show Details)Mar 27 2020, 2:16 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Mar 28 2020, 2:17 PM

Next version of the API looks like it will have Wikidata Qnumber for the winner and also Qnumber for birthlocation etc,...